Subject: Use '@' as version number separator in guix output
From: Pierre Neidhardt <[email-masked]>
To: [email-masked]
Date: Sat, 07 Apr 2018 22:28:55 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

At the moment it seems that there is no syntactic different between the
name and the version number in the output of Guix.

The other day I tried to extract the version number of package
dependencies with "everything after the last '-'", until I stumbled on
the following:

	> guix package --show=ncdu | recsel -R dependencies
	ncurses-6.0-20170930

Here the version number contains a '-'.  Because of this it makes the
problem undecidable I think.

Would it be possible to separate the package name from the version
number with '@' instead?

--
Pierre Neidhardt